Page MenuHomePhabricator

Improve shex-simple tool for WikibaseSchema use
Closed, ResolvedPublic5 Story Points

Description

A full overhaul is outside the scope of this hike, but we’d at least like to make it easier to use the tool and remove stuff we don’t need.

  • add the SPARQL endpoint by default – done by adding ?data=Endpoint: https://query.wikidata.org/sparql to the URL
  • remove manifests – done by adding &manifest=[] to the URL
  • don’t show “data” input (just contains SPARQL endpoint) – shexSpec/shex.js#37
  • ask for SPARQL query in place of query map (no SPARQL '''…'''@START syntax) – shexSpec/shex.js#38

We can either do these in a separate branch or keep them on the wikidata branch, configurable via URL parameters.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2019, 2:14 PM
Lucas_Werkmeister_WMDE set the point value for this task to 5.Mar 21 2019, 2:19 PM
Addshore moved this task from incoming to in progress on the Wikidata board.Mar 25 2019, 4:03 PM

Mentioned in SAL (#wikimedia-cloud) [2019-03-25T17:50:04Z] <Lucas_WMDE> wikidata-shex add SPARQL endpoint to $wgWBSchemaShExSimpleUrl (T218886)

Mentioned in SAL (#wikimedia-cloud) [2019-03-25T17:52:22Z] <Lucas_WMDE> wikidata-shex mwscript maintenance/purgeList.php --namespace 640 # purge Schema pages after config change (T218886)

Mentioned in SAL (#wikimedia-cloud) [2019-03-25T18:02:52Z] <Lucas_WMDE> wikidata-shex add &manifest=[] to $wgWBSchemaShExSimpleUrl (T218886)

Mentioned in SAL (#wikimedia-cloud) [2019-03-25T18:03:12Z] <Lucas_WMDE> wikidata-shex mwscript maintenance/purgeList.php --namespace 640 # purge Schema pages after config change (T218886)

Mentioned in SAL (#wikimedia-cloud) [2019-03-25T18:08:03Z] <Lucas_WMDE> wikidata-shex for i in {1..26}; do printf 'Schema:O%d\n' "$i"; done | mwscript purgePage.php --skip-exists-check # purge Schema pages after config change (T218886)

Mentioned in SAL (#wikimedia-cloud) [2019-04-12T17:05:55Z] <Lucas_WMDE> wikidata-shex add hideData and textMapIsSparqlQuery to wgWBSchemaShExSimpleUrl (T218886)

Mentioned in SAL (#wikimedia-cloud) [2019-04-12T17:06:59Z] <Lucas_WMDE> wikidata-shex for i in {1..36}; do printf 'Schema:O%d\n' "$i"; done | mwscript purgePage.php --skip-exists-check # purge Schema pages after config change (T218886)

@Lydia_Pintscher this should now be fully merged and deployed, do you want to try it out?

\o/
I think we can remove some more stuff though or make it clearer. Let's sit together and look at it in-person.

Closing this one now and I'll open subtasks for the remaining improvements that were not part of this task.

Lydia_Pintscher closed this task as Resolved.Apr 23 2019, 10:31 AM